<?php	
set_time_limit(0);
$is_open_submit = get_option('boxes_open_submit');

if (isset($_POST['action']) && $_POST['action'] == 'post' && wp_verify_nonce($_POST['_wpnonce'],'new-post')&&$err=="") {

	if($is_open_submit == 'false'){
		if ( !is_user_logged_in() ){
			wp_redirect( home_url() . '/' );
			exit;
		}
	}else{
		$user_id = get_current_user_id();
	}
    
	$cat = array();
	$err = "";
	$attach_id = "";
	
	$post_title     = $_POST['post_title'];
	$post_content   = $_POST['post_content'];
	$cat            = $_POST['cat'];
	//die($cat);
	$post_tags      = $_POST['post_tags'];
	//$description    = $_POST['description'];
	$ext_link 		= $_POST['external_link'];
	//$image_file=array_splice($_FILES,1);
	$image_file=$_FILES;
	//print_r($image_file);die();
	if ($post_title == "") {
	  $err .= __('Please fill Portfolio Title', 'themejunkie') . "<br />";
	}
	
	if ($post_content == "") {
	  $err .= __('Please fill Portfolio Content', 'themejunkie') . "";
	} 	
	if($err){
		return;
	}
        

	$post_args = array(
	  //'ID'             => [ <post id> ] 	 //Are you updating an existing post?
	  //'menu_order'     => [ <order> ] 	 //If new post is a page, it sets the order in which it should appear in the tabs.
	  'comment_status' => "open",	 		 //[ 'closed' | 'open' ]  'closed' means no comments.
	  'ping_status'    => "closed",  		 //[ 'closed' | 'open' ] // 'closed' means pingbacks or trackbacks turned off
	  //'pinged'         => [ ? ] //?
	  'post_author'    => $user_id,  		 //[ <user ID> ] //The user ID number of the author.
	  //'post_category'  => $cat,		 		 //[ array(<category id>, <...>) ] //post_category no longer exists, try wp_set_post_terms() for setting a post's categories
	  'post_content'   => $post_content,	 //[ <the text of the post> ] //The full text of the post.
	  //'post_date'      => [ Y-m-d H:i:s ]  //The time post was made.
	  //'post_date_gmt'  => [ Y-m-d H:i:s ]  //The time post was made, in GMT.
	  //'post_excerpt'   => $description,		 //[ <an excerpt> ] //For all your post excerpt needs.
	  //'post_name'      => [ <the name> ] 	 // The name (slug) for your post
	  //'post_parent'    => [ <post ID> ]    //Sets the parent of the new post.
	  //'post_password'  => [ ? ] //password for post?
	  'post_status'    => 'pending',		 //[ 'draft' | 'publish' | 'pending'| 'future' | 'private' | 'custom_registered_status' ] //Set the status of the new post.
	  'post_title'     => $post_title,		 //[ <the title> ] //The title of your post.
	  'post_type'      => 'post',			 //[ 'post' | 'page' | 'link' | 'nav_menu_item' | 'custom_post_type' ] //You may want to insert a regular post, page, link, a menu item or some custom post type
	  'tags_input'     => $post_tags,		//[ '<tag>, <tag>, <...>' ] //For tags.
	  //'to_ping'        => [ ? ] //?
	  //'tax_input'      => [ array( 'taxonomy_name' => array( 'term', 'term2', 'term3' ) ) ] // support for custom taxonomies. 
	); 
	$this_post_id = wp_insert_post( $post_args );
	wp_set_post_terms( $this_post_id, $cat,'category') ; // set cat
	update_post_meta($this_post_id, '_junkie_link_url', $ext_link);
	
	if ( ! function_exists( 'wp_handle_upload' ) ){
		require_once( ABSPATH . 'wp-admin/includes/file.php' );
		require_once( ABSPATH . 'wp-admin/includes/image.php' );
	}
	function fun_upload_attachment($element){
		  $wp_filetype = wp_check_filetype(basename($element["name"]), null );
		  
		  $uploadedfile = $element;
		  $upload_overrides = array( 'test_form' => false );
		  $movefile = wp_handle_upload( $uploadedfile, $upload_overrides );
		  if ( $movefile ) {
			  
			  $wp_upload_dir = wp_upload_dir();
			  $attachment = array(
				 'guid' => $wp_upload_dir['url'] . '/' . basename( $movefile["file"] ), 
				 'post_mime_type' => $wp_filetype['type'],
				 'post_title' => preg_replace('/\.[^.]+$/', '', basename( $movefile["file"] )),
				 'post_content' => '',
				 'post_status' => 'inherit'
			  );
		  
			  $attach_id = wp_insert_attachment( $attachment,$movefile["file"], $this_post_id );
			  $attach_data = wp_generate_attachment_metadata( $attach_id, $movefile["file"] );
			  wp_update_attachment_metadata( $attach_id, $attach_data );
			  
			  return $attach_id;
						  
		  } else {
			  return "upload image error .";
		  }
	}
	
	
	if(is_array($image_file)){
		$ids="";
		$index =0;
		foreach($image_file as $element){
			if($element["error"]==0){
				$attach_id=fun_upload_attachment($element);
				if(is_int($attach_id)){
					if($index==0){
						set_post_thumbnail( $this_post_id, $attach_id);
					}else{
						$ids=$attach_id.','.$ids;
						$ids = rtrim($ids, ',');
						update_post_meta($this_post_id, '_junkie_image_ids', $ids);	
					}
				}
			}
			$index++;
		}
	}
	$post_sented = true;
}
?>  